ANNIE2-mechanical-design - Task #18571

Finalize design and layout of water system
12/14/2017 01:41 PM - Matthew Wetstein

Status: New Start date: 01/01/2018
Priority: Normal Due date: 05/01/2018
Assignee: % Done: 70%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 01/25/2018 07:24 AM - Matthew Wetstein
- % Done changed from 30 to 100

#2 - 01/25/2018 07:40 AM - Matthew Wetstein
- % Done changed from 100 to 70
